### Property

# Shell App:state

since: 14

#### Declaration

    property state: Shell.AppState [ read ]

#### Description [src]

The high-level state of the application, effectively whether it’s running or not, or transitioning between those states.

Type: | `ShellAppState`
Available since: | 14

Default value | SHELL_APP_STATE_STOPPED
Getter method | `shell_app_get_state()`

#### Flags

Readable | yes
Writable | no
Construct | no
Construct only | no